Summary: VIsual editor iMproved
Name: vim
Version: 5.3
Release: 3
Copyright: freeware
Group: Applications/Editors
Source0: ftp://ftp.oce.nl/pub/vim/unix/vim-%{version}-src.tar.gz
Source1: ftp://ftp.oce.nl/pub/vim/unix/vim-%{version}-rt.tar.gz
Source2: vimx.wmconfig
Source3: vimrc
Source4: cvim
Patch0: vim-4.2-speed_t.patch
Patch1: vim-5.1-vimnotvi.patch
Patch2: vim-5.1-tutor.patch
Buildroot: /var/tmp/vim-root
Summary(de): VIsual editor iMproved
Summary(fr): editeur VIM : VIsual editor iMproved.
Summary(tr): Gelimi bir vi srm

%description
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.

%package common
Summary: Files needed by any vim editor
Group: Applications/Editors

%description common
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.

The vim-common package contains files (such as help) that are needed by any
vim binary in order to run.

%package minimal
Summary: a vi-like editor.
Group: Applications/Editors
Requires: vim-common
Obsoletes:  vim

%description minimal
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.

The vim-minimal package installs a version of vim into /bin/vi that is
suitable for running when only the root partition is present.

%package enhanced
Summary:  VIsual editor iMproved with all sorts of finery
Group: Applications/Editors
Requires: vim-common

%description enhanced
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.

This package contains a version of vim which has many of the extra features
that have recently been introduced to vim such as perl and python
interpreters.

%package color
Summary: VIM with real color support
Group: Applications/Editors
Requires: vim-common
Summary(de): VIsual editor iMproved
Summary(fr): editeur VIM : VIsual editor iMproved.
Summary(tr): Gelimi bir vi srm

%description color
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.

%description -l de color
Der Visual-Editor iMproved ist ein aktualisierter und erweiterter Klon des 
vi-Editors, der mit praktisch allen UN*X-Systemen ausgeliefert wird. 
Er bringt mehrere Fenster, mehrstufige Widerrufen-Funktion, Block-Markierung
und viele weitere Zusatzfunktionen im Vergleich zum Standard-vi-Programm. 

%description -l fr color
L'diteur VIsuel aMlior est un clone mis  jour et dot de caractristiques
supplmentaires de l'diteur  vi  fourni avec pratiquement tous les systmes
UN*X. Il ajoute les fentres mutltiples, l'annulation a plusieurs niveaux, la
mise en vidence des blocs et autres caractristiques au vi de base.

%description -l tr color
Standart vi metin dzenleyicisinin gelimi hali; daha fazla komut, birden
fazla pencere destei ve blok iaretleme yetenekleri ierir.

%package X11
Summary: VIM with X-Windows support
Group: Applications/Editors
Requires: vim-common
Summary(de): VIM mit X-Windows-Support 
Summary(fr): VIM avec gestion X Window
Summary(tr): VIM iin X11 destei

%description X11
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.

This package is a version of VIM with the X-Windows libraries linked in,
allowing you to run VIM as an X-Windows application with a full GUI
interface and mouse support.  You just run 'gvim'.

%description -l de X11
Dieses Paket ist eine Version von VIM, mit gelinkten X-Windows-Libraries,
das es eerlaubt, VIM als eine X-Windows-Applikation mit einer kompletten
GUI-Schnittflche und mit Mausuntersttzung zu betreiben. Sie brauchen nur
'gvim' zu betreiben.

%description -l de
Der Visual-Editor iMproved ist ein aktualisierter und erweiterter Klon des 
vi-Editors, der mit praktisch allen UN*X-Systemen ausgeliefert wird. 
Er bringt mehrere Fenster, mehrstufige Widerrufen-Funktion, Block-Markierung
und viele weitere Zusatzfunktionen im Vergleich zum Standard-vi-Programm. 

%description -l fr
L'diteur VIsuel aMlior est un clone mis  jour et dot de caractristiques
supplmentaires de l'diteur  vi  fourni avec pratiquement tous les systmes
UN*X. Il ajoute les fentres mutltiples, l'annulation a plusieurs niveaux, la
mise en vidence des blocs et autres caractristiques au vi de base.

%description -l tr X11
Bu pakette VIM'in X ortam ve fare destei ieren srm bulunmaktadr.
gvim yazarak altrabilirsiniz.

%description -l tr
Standart vi metin dzenleyicisinin gelimi hali; daha fazla komut, birden
fazla pencere destei ve blok iaretleme yetenekleri ierir.

%prep
%setup -q -b 1
%patch0 -p1 -b .4.2
%patch1 -p1 -b .vim
%patch2 -p1 -b .tutor

%build
cd src

./configure --prefix=/usr --enable-pythoninterp --enable-perlinterp --with-x=yes --enable-gui=athena --exec-prefix=/usr/X11R6
make 
cp vim gvim
make clean

./configure --prefix=/usr --enable-pythoninterp --enable-perlinterp --enable-gui=no --exec-prefix=/usr
make
cp vim enhanced-vim
make clean

./configure --prefix=/usr --with-x=no --disable-pythoninterp --disable-perlinterp --enable-gui=no --exec-prefix=/
make
cp vim color-vim
make clean

./configure --prefix='${DEST}'/usr --with-x=no --disable-pythoninterp --disable-perlinterp --with-tlib=termcap --enable-gui=no --exec-prefix=/
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,share/vim,X11R6/bin}

cd src
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/ install
mv $RPM_BUILD_ROOT/bin/xxd $RPM_BUILD_ROOT/usr/bin
make installmacros DEST=$RPM_BUILD_ROOT
install -s -m755 gvim $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m755 enhanced-vim $RPM_BUILD_ROOT/usr/bin/vim
install -s -m755 color-vim $RPM_BUILD_ROOT/usr/bin

( cd $RPM_BUILD_ROOT
  mv -f ./bin/vim ./bin/vi
  rm -f ./bin/rvim
  ln -sf vi ./bin/view
  ln -sf vi ./bin/ex
  ln -sf vi ./bin/rvi
  ln -sf vi ./bin/rview
  ln -sf vim ./usr/bin/vi
  ln -sf vim ./usr/bin/ex
  rm -f ./usr/man/man1/rvim.1
  ln -sf vim.1 ./usr/man/man1/vi.1
  ln -sf vim.1 ./usr/man/man1/rvi.1
  ln -sf vim.1 ./usr/man/man1/gvim.1
  ln -sf gvim ./usr/X11R6/bin/vimx
  mkdir -p ./etc/X11/wmconfig
  install -m644 $RPM_SOURCE_DIR/vimx.wmconfig ./etc/X11/wmconfig/gvim
  install -s -m755 $RPM_SOURCE_DIR/cvim ./usr/bin
  install -s -m644 $RPM_SOURCE_DIR/vimrc ./usr/share/vim/macros/
)

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-,root,root)
%doc doc README*.txt gvimrc_example bugreport.vim macros/README.txt 
%doc menu.vim mswin.vim syntax termcap tools/README.txt tutor vimrc_example

/usr/share/vim
/usr/man/man1/vim.1
/usr/man/man1/ex.1
/usr/man/man1/vi.1
/usr/man/man1/view.1
/usr/man/man1/rvi.1
/usr/man/man1/rview.1
/usr/bin/xxd
/usr/man/man1/xxd.1

%files minimal
%defattr(-,root,root)
/bin/ex
/bin/vi
/bin/view
/bin/rvi
/bin/rview

%files enhanced
%defattr(-,root,root)
/usr/bin/vim
/usr/bin/vi
/usr/bin/ex

%files color
%defattr(-,root,root)
/usr/bin/cvim
/usr/bin/color-vim
/usr/share/vim/macros/vimrc

%files X11
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/gvim
/usr/X11R6/bin/gvim
/usr/X11R6/bin/vimx
/usr/man/man1/vim.1
/usr/man/man1/gvim.1

%changelog
* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
